package com.boman.web.core.mapper;

import com.boman.domain.Czrk;

import java.util.List;


/**
 * 变更信息历史表
 * @author tjf
 * @Date: 2022/03/19/15:01
 */
public interface CzrkChangeMapper {


    /**
     * 新增变更信息历史表
     *
     * @param czrk 户籍信息
     * @return 结果
     */
    int insertCzrkChange(Czrk czrk);

    /**
     * 根据户籍人口id查询对应信息
     * @param czrk
     * @return
     */
    List<Czrk> selectListByCzrkId(Czrk czrk);

    /**
     * 修改变更信息历史表
     *
     * @param czrk 户籍信息
     * @return 结果
     */
    int updateCzrkChange(Czrk czrk);

    /**
     * 删除变更信息历史表
     *
     * @param id 户籍信息id
     * @return 结果
     */
    int deleteCzrkChangeById(Long id);
}
